Bug 135535 - Add a flag for the CSS Selectors level 4 implementation
Summary: Add a flag for the CSS Selectors level 4 implementation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Benjamin Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-01 21:38 PDT by Benjamin Poulain
Modified: 2014-08-04 20:40 PDT (History)
8 users (show)

See Also:


Attachments
Patch (34.76 KB, patch)
2014-08-01 21:40 PDT, Benjamin Poulain
no flags Details | Formatted Diff | Diff
Patch (39.61 KB, patch)
2014-08-02 14:01 PDT, Benjamin Poulain
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Poulain 2014-08-01 21:38:39 PDT
Add a flag for the CSS Selectors level 4 implementation
Comment 1 Benjamin Poulain 2014-08-01 21:40:09 PDT
Created attachment 235929 [details]
Patch
Comment 2 Csaba Osztrogonác 2014-08-02 12:36:44 PDT
Comment on attachment 235929 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=235929&action=review

> WebKitLibraries/win/tools/vsprops/FeatureDefines.props:19
> +    <ENABLE_CSS_REGIONS>ENABLE_CSS_SELECTORS_LEVEL4</ENABLE_CSS_REGIONS>

copy/paste error
Comment 3 Csaba Osztrogonác 2014-08-02 12:39:37 PDT
Comment on attachment 235929 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=235929&action=review

>> WebKitLibraries/win/tools/vsprops/FeatureDefines.props:19
>> +    <ENABLE_CSS_REGIONS>ENABLE_CSS_SELECTORS_LEVEL4</ENABLE_CSS_REGIONS>
> 
> copy/paste error

And maybe you should add it one more place below in this file.
Comment 4 Benjamin Poulain 2014-08-02 14:01:58 PDT
Created attachment 235939 [details]
Patch
Comment 5 Benjamin Poulain 2014-08-02 14:04:29 PDT
(In reply to comment #3)
> >> WebKitLibraries/win/tools/vsprops/FeatureDefines.props:19
> >> +    <ENABLE_CSS_REGIONS>ENABLE_CSS_SELECTORS_LEVEL4</ENABLE_CSS_REGIONS>
> > 
> > copy/paste error
> 
> And maybe you should add it one more place below in this file.

Yup, yup, yup, good catch. I have updated the patch, hopefully good with Windows this time.
Comment 6 Gyuyoung Kim 2014-08-03 19:23:35 PDT
EFL ews failure looks false alarm.
Comment 7 Benjamin Poulain 2014-08-04 20:39:58 PDT
Comment on attachment 235939 [details]
Patch

Clearing flags on attachment: 235939

Committed r172023: <http://trac.webkit.org/changeset/172023>
Comment 8 Benjamin Poulain 2014-08-04 20:40:02 PDT
All reviewed patches have been landed.  Closing bug.